http://packages.ubuntu.com/maverick/gnu-smalltalk

Since the upgrade to Maverick (as soon as it got out) GNU-Smalltalk is broken and not existing anymore on my system which is a nuisance since without this library I can't compile and use GNU-Smalltalk. As you can see the i386 exists but for some illogical reason amd64 is missing breaking the package.

Why does the amd64 package STILL not exist?
What can be done to get this package done?

It worked before and works on GenToo so why not under Ubuntu (especially seeing as Ubuntu "claims" to be the best distro <.=.< )?